Read credentials

Retrieves credentials accessible to the authenticated API user,
with credential_username and credential_password decrypted.

Requires api_key_decrypt_password. If credential_id is supplied,
a single credential is returned; otherwise a paginated list of
all credentials accessible to the authenticated user is returned.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required

Decryption secret used, together with the API key's
server-side decrypt hash, to decrypt
credential_username and credential_password.

integer
≥ 1

Optional client ID to scope the read to a specific client.
This is only used when the authenticated API key has access
to that client.

int64
≥ 1

Retrieve a single credential by its ID.

integer
≥ 0
Defaults to 50

Maximum number of records returned for collection queries.
Defaults to 50.

integer
≥ 0
Defaults to 0

Number of records to skip for collection queries.
Defaults to 0.

Responses

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json